Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Phone

New webhook for access members and response field enhancements to APIs for voicemail, dashboard, users, and call logs

API release

Summary:New webhook to notify access members when a recording completes, and enhancements to the response fields for the following APIs - Call Logs, Dashboard, Voicemails, and Users.

Added

  • New webhook Webhook event:
    • phone.recording_completed_for_access_member

Enhancements

  • New callee_device_type,callee_country_iso_code,callee_country_code,caller_country_iso_code,international,client_code,caller_device_type,caller_country_code response fields in the following Call Logs APIs:
    • GET /v2/phone/call_history/{callLogId}
    • GET /v2/accounts/{accountId}/phone/call_history/{callLogId}
    • GET /v2/accounts/{accountId}/phone/call_history
    • GET /v2/phone/call_history
  • New extension_type,id,display_name response fields in the following Dashboard APIs:
    • GET /v2/phone/metrics/call_logs/{call_id}
    • GET /v2/phone/metrics/call_logs/{call_id}
    • GET /v2/accounts/{accountId}/phone/metrics/call_logs/{call_id}
    • GET /v2/accounts/{accountId}/phone/metrics/call_logs/{call_id}
  • New caller_user_id,callee_user_id response fields in the following Call Logs APIs:
    • GET /v2/phone/users/{userId}/call_logs/sync
    • GET /v2/accounts/{accountId}/phone/users/{userId}/call_logs/sync
  • New callee_user_id,caller_user_id response fields in the following Voicemails APIs:
    • GET /v2/accounts/{accountId}/phone/users/{userId}/voice_mails/sync
    • GET /v2/phone/users/{userId}/voice_mails/sync
  • New allow_end_user_edit_call_handling response field in the following Users APIs:
    • GET /v2/accounts/{accountId}/phone/users/{userId}
    • GET /v2/phone/users/{userId}